usr/src/cmd/quilt/install-sfw
changeset 0 b34509ac961f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/usr/src/cmd/quilt/install-sfw	Wed Oct 21 17:43:30 2009 +0200
@@ -0,0 +1,169 @@
+#! /usr/bin/ksh93
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+#pragma ident	"@(#)install-sfw	1.1	08/11/18 SMI"
+#
+# makefile.master {usr/src} sets the following:
+#
+# CFGPREFIX=      /usr
+# CFGBIN=         ${CFGPREFIX}/bin
+# CFGMAN=         ${CFGPREFIX}/share/man
+# CFGMAN1=        ${CFGMAN}/man1
+#
+# ROOTxxx refers to the build root {proto/MACHTYPE/...}
+#
+# ROOTBIN=        ${ROOT}${CFGBIN}
+# ROOTMAN1=       ${ROOT}${CFGMAN1}
+#
+
+# Stop at first error
+set -o errexit
+
+#
+# set base information
+#
+CFGPREFIX=/usr
+CFGBIN=${CFGPREFIX}/bin
+CFGMAN=${CFGPREFIX}/share/man
+CFGMAN1=${CFGMAN}/man1
+
+ROOTBIN=${ROOT}${CFGBIN}
+ROOTMAN1=${ROOT}${CFGMAN1}
+ETCDIR=${ROOT}/etc
+
+QUILTLIB=${ROOT}/usr/lib/quilt
+QUILTDOC=${ROOT}/usr/share/doc/quilt-0.47
+QUILTSHARE=${ROOT}/usr/share/quilt
+QUILTCOMPAT=${ROOT}/usr/share/quilt/compat
+QUILTSCRIPTS=${ROOT}/usr/share/quilt/scripts
+QUILTLOCALE=${ROOT}/usr/share/locale
+
+PKGVERS=quilt-0.47
+TOPDIR=$PWD/${PKGVERS}
+
+source ${SRC}/tools/install.subr
+
+#
+# populate man page
+#
+cd ${TOPDIR}
+
+MANSCRIPT=../sunman-stability
+_install M doc/quilt.1 ${ROOTMAN1}/quilt.1 444
+_install M bin/guards.1 ${ROOTMAN1}/guards.1 444
+
+#
+# populate /usr/bin
+#
+_install S bin/quilt ${ROOTBIN}/quilt 555
+_install P bin/guards ${ROOTBIN}/guards 555
+
+#
+# populate /etc
+#
+_install N quilt.quiltrc ${ETCDIR}/quilt.quiltrc 644
+
+#
+# populate /usr/lib
+#
+_install E lib/backup-files ${QUILTLIB}/backup-files 555
+
+#
+# populate /usr/share
+#
+_install N doc/README ${QUILTDOC}/README 444
+_install N doc/README.MAIL ${QUILTDOC}/README.MAIL 444
+_install N doc/quilt.pdf ${QUILTDOC}/quilt.pdf 444
+
+_install N lib/quilt.el ${ROOT}/usr/share/emacs/site-lisp/quilt.el 444
+
+_install N po/de.mo ${QUILTLOCALE}/de/LC_MESSAGES/quilt.mo 444
+_install N po/fr.mo ${QUILTLOCALE}/fr/LC_MESSAGES/quilt.mo 444
+_install N po/ja.mo ${QUILTLOCALE}/ja/LC_MESSAGES/quilt.mo 444
+
+#
+# populate /usr/share/quilt
+#
+_install S quilt/add ${QUILTSHARE}/add 555
+_install S quilt/annotate ${QUILTSHARE}/annotate 555
+_install S quilt/applied ${QUILTSHARE}/applied 555
+_install S quilt/delete ${QUILTSHARE}/delete 555
+_install S quilt/diff ${QUILTSHARE}/diff 555
+_install S quilt/edit ${QUILTSHARE}/edit 555
+_install S quilt/files ${QUILTSHARE}/files 555
+_install S quilt/fold ${QUILTSHARE}/fold 555
+_install S quilt/fork ${QUILTSHARE}/fork 555
+_install S quilt/graph ${QUILTSHARE}/graph 555
+_install S quilt/grep ${QUILTSHARE}/grep 555
+_install S quilt/header ${QUILTSHARE}/header 555
+_install S quilt/import ${QUILTSHARE}/import 555
+_install S quilt/mail ${QUILTSHARE}/mail 555
+_install S quilt/new ${QUILTSHARE}/new 555
+_install S quilt/next ${QUILTSHARE}/next 555
+_install S quilt/patches ${QUILTSHARE}/patches 555
+_install S quilt/pop ${QUILTSHARE}/pop 555
+_install S quilt/previous ${QUILTSHARE}/previous 555
+_install S quilt/push ${QUILTSHARE}/push 555
+_install S quilt/refresh ${QUILTSHARE}/refresh 555
+_install S quilt/rename ${QUILTSHARE}/rename 555
+_install S quilt/revert ${QUILTSHARE}/revert 555
+_install S quilt/series ${QUILTSHARE}/series 555
+_install S quilt/setup ${QUILTSHARE}/setup 555
+_install S quilt/snapshot ${QUILTSHARE}/snapshot 555
+_install S quilt/top ${QUILTSHARE}/top 555
+_install S quilt/unapplied ${QUILTSHARE}/unapplied 555
+_install S quilt/upgrade ${QUILTSHARE}/upgrade 555
+
+#
+# populate /usr/share/quilt/compat
+#
+_install S compat/column ${QUILTCOMPAT}/column 555
+_install S compat/getopt ${QUILTCOMPAT}/getopt 555
+_install L ../../../bin/gawk ${QUILTCOMPAT}/awk
+_install L ../../../gnu/bin/cp ${QUILTCOMPAT}/cp
+_install L ../../../gnu/bin/date ${QUILTCOMPAT}/date
+_install L ../../../gnu/bin/diff ${QUILTCOMPAT}/diff
+_install L ../../../gnu/bin/grep ${QUILTCOMPAT}/grep
+_install L ../../../gnu/bin/patch ${QUILTCOMPAT}/patch
+_install L ../../../gnu/bin/sed ${QUILTCOMPAT}/sed
+_install L ../../../sbin/sendmail ${QUILTCOMPAT}/sendmail
+_install L ../../../gnu/bin/tail ${QUILTCOMPAT}/tail
+_install L ../../../bin/gtar ${QUILTCOMPAT}/tar
+_install L ../../../gnu/bin/tr ${QUILTCOMPAT}/tr
+
+#
+# populate /usr/share/quilt/scripts
+#
+_install N quilt/scripts/patchfns ${QUILTSCRIPTS}/patchfns 444
+_install S quilt/scripts/dependency-graph ${QUILTSCRIPTS}/dependency-graph 555
+_install S quilt/scripts/edmail ${QUILTSCRIPTS}/edmail 555
+_install S quilt/scripts/inspect ${QUILTSCRIPTS}/inspect 555
+_install S quilt/scripts/parse-patch ${QUILTSCRIPTS}/parse-patch 555
+_install S quilt/scripts/remove-trailing-ws ${QUILTSCRIPTS}/remove-trailing-ws 555
+
+
+
+exit 0